package net;

import java.io.BufferedOutputStream;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;
import java.sql.SQLException;

import db.DBconn;

public class RequestHandler extends Thread {

	private Socket socket;
	private PrintWriter out = null;
	
	public RequestHandler(Socket socket) {
		this.socket = socket;
		try {
			BufferedOutputStream bOut = new BufferedOutputStream(socket.getOutputStream());
			out = new PrintWriter(bOut, true);			
		} catch (IOException e) {
			e.printStackTrace();
		}		
	}	
	
	private void writeMessage(String message) {
		if(out != null)
			out.println(message);
	}

	@Override
	public void run() {
		try {
			BufferedReader in = new BufferedReader(new InputStreamReader(socket.getInputStream()));			
			while (true) {				
				if (in.ready()) {
					String line = in.readLine();					
					if(line.startsWith("add")) {
						addUser(line);					
					}
					else if(line.startsWith("check")) {
						checkUser(line);
					}
				}				
			}
		} catch (IOException e) {
			e.printStackTrace();
			return;
		}
	}
	
	private void addUser(String line) {
		String[] res = line.split(" ");
		if(res.length != 3)
			writeMessage("wrong request");
		else {
			try {
				DBconn.getInstance().insertUser(res[1], res[2]);
				writeMessage("ok");
			} catch (SQLException e) {
				writeMessage("no");
			}
		}
	}
	
	private void checkUser(String line) {
		String[] res = line.split(" ");
		if(res.length != 3)
			writeMessage("wrong request");
		else {
			try {
				if(DBconn.getInstance().checkPassword(res[1], res[2]))
					writeMessage("ok");
				else
					writeMessage("no");
			} catch (SQLException e) {
				writeMessage("no");
			}
		}
	}
}
